F16 - why yum distro-sync wants to downgrade ?

JB jb.1234abcd at gmail.com
Wed Aug 24 06:40:39 UTC 2011


Hi,

could you please interpret what is happening here - why the downgrades ?

$ cat /etc/fedora-release
Fedora release 16 (Verne)

$ yum repolist enabled
...
repo id                   repo name                                   status
adobe-linux-i386          Adobe Systems Incorporated                      18
fedora                    Fedora 16 - i386                            19,714
updates-testing           Fedora 16 - i386 - Test Updates              2,596
repolist: 22,328

# yum distro-sync
Loaded plugins: fastestmirror, langpacks, presto, priorities
...
Setting up Distribution Synchronization Process
Resolving Dependencies
--> Running transaction check
---> Package cups.i686 1:1.5.0-1.fc16 will be a downgrade
---> Package cups.i686 1:1.5.0-5.fc16 will be erased
---> Package cups-libs.i686 1:1.5.0-1.fc16 will be a downgrade
---> Package cups-libs.i686 1:1.5.0-5.fc16 will be erased
---> Package curl.i686 0:7.21.7-2.fc16 will be a downgrade
---> Package curl.i686 0:7.21.7-3.fc16 will be erased
---> Package libcurl.i686 0:7.21.7-2.fc16 will be a downgrade
---> Package libcurl.i686 0:7.21.7-3.fc16 will be erased
---> Package libpurple.i686 0:2.9.0-2.fc16 will be a downgrade
---> Package libpurple.i686 0:2.9.0-3.fc16 will be erased
---> Package pidgin.i686 0:2.9.0-2.fc16 will be a downgrade
---> Package pidgin.i686 0:2.9.0-3.fc16 will be erased
---> Package plymouth.i686 0:0.8.4-0.1.20110304.1.fc16 will be a downgrade
---> Package plymouth.i686 0:0.8.4-0.20110809.1.fc16 will be erased
---> Package plymouth-core-libs.i686 0:0.8.4-0.1.20110304.1.fc16 will be a
 downgrade
---> Package plymouth-core-libs.i686 0:0.8.4-0.20110809.1.fc16 will be erased
---> Package plymouth-graphics-libs.i686 0:0.8.4-0.1.20110304.1.fc16 will be
 a downgrade
---> Package plymouth-graphics-libs.i686 0:0.8.4-0.20110809.1.fc16 will be
 erased
---> Package plymouth-plugin-label.i686 0:0.8.4-0.1.20110304.1.fc16 will be
 a downgrade
---> Package plymouth-plugin-label.i686 0:0.8.4-0.20110809.1.fc16 will be
 erased
---> Package plymouth-plugin-two-step.i686 0:0.8.4-0.1.20110304.1.fc16 will
 be a downgrade
---> Package plymouth-plugin-two-step.i686 0:0.8.4-0.20110809.1.fc16 will be
 erased
---> Package plymouth-scripts.i686 0:0.8.4-0.1.20110304.1.fc16 will be a
 downgrade
---> Package plymouth-scripts.i686 0:0.8.4-0.20110809.1.fc16 will be erased
---> Package plymouth-system-theme.i686 0:0.8.4-0.1.20110304.1.fc16 will be
 a downgrade
---> Package plymouth-system-theme.i686 0:0.8.4-0.20110809.1.fc16 will be
 erased
---> Package plymouth-theme-charge.i686 0:0.8.4-0.1.20110304.1.fc16 will be
 a downgrade
---> Package plymouth-theme-charge.i686 0:0.8.4-0.20110809.1.fc16 will be
 erased
---> Package pm-utils.i686 0:1.4.1-10.fc16 will be a downgrade
---> Package pm-utils.i686 0:1.4.1-11.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                   Arch   Version                     Repository
                                                                        Size
============================================================================
Downgrading:
 cups                      i686   1:1.5.0-1.fc16              fedora   2.0 M
 cups-libs                 i686   1:1.5.0-1.fc16              fedora   353 k
 curl                      i686   7.21.7-2.fc16               fedora   237 k
 libcurl                   i686   7.21.7-2.fc16               fedora   190 k
 libpurple                 i686   2.9.0-2.fc16                fedora   5.6 M
 pidgin                    i686   2.9.0-2.fc16                fedora   1.4 M
 plymouth                  i686   0.8.4-0.1.20110304.1.fc16   fedora    88 k
 plymouth-core-libs        i686   0.8.4-0.1.20110304.1.fc16   fedora    85 k
 plymouth-graphics-libs    i686   0.8.4-0.1.20110304.1.fc16   fedora    36 k
 plymouth-plugin-label     i686   0.8.4-0.1.20110304.1.fc16   fedora    26 k
 plymouth-plugin-two-step  i686   0.8.4-0.1.20110304.1.fc16   fedora    33 k
 plymouth-scripts          i686   0.8.4-0.1.20110304.1.fc16   fedora    26 k
 plymouth-system-theme     i686   0.8.4-0.1.20110304.1.fc16   fedora    22 k
 plymouth-theme-charge     i686   0.8.4-0.1.20110304.1.fc16   fedora    27 k
 pm-utils                  i686   1.4.1-10.fc16               fedora   135 k

Transaction Summary
============================================================================
Downgrade    15 Packages

Total download size: 10 M
Is this ok [y/N]: n
Exiting on user Command

# yum list pm-utils
Loaded plugins: fastestmirror, langpacks, presto, priorities
...
Installed Packages
pm-utils.i686                1.4.1-11.fc16                 @updates-testing
#

JB




More information about the test mailing list